%define lib_name_orig   lib%{name}
%define major 4
%define libname %mklibname %{name} %major

Summary:	Utilities for lm_sensors
Name:		lm_sensors
Version:	3.4.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:            http://www.lm-sensors.org
Source0:	http://dl.lm-sensors.org/lm-sensors/releases/%{name}-%{version}.tar.xz
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	%{_lib}rrdtool-devel
BuildRequires:	%{_lib}sysfs-devel
Requires:	perl
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%name < %version


%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n %{libname}
Summary:	Libraries needed for lm_sensors
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Libraries to access lm_sensors internal data.

%package -n %{libname}-devel
Summary:	Development libraries and header files for lm_sensors
Group:		Development/Libraries
Requires(pre):	%{libname} = %{version}-%{release}
Requires(postun):	%{libname} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	liblm_sensors3-devel

%description -n %{libname}-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package -n %{libname}-static-devel
Summary:	Static libraries for lm_sensors
Group:		Development/Libraries
Requires(pre):	%{libname}-devel = %{version}-%{release}
Requires(postun):	%{libname}-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	liblm_sensors3-static-devel

%description -n %{libname}-static-devel
This package contains static libraries for lm_sensors.

%prep
%setup -q

%build
%setup_compile_flags
%define _MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} PROG_EXTRA:=sensord LIBDIR=%{_libdir}
%define MAKE_DEFS %{_MAKE_DEFS}

# (tpg) get rid of custom ldflags, rpath
sed -i -e 's/EXLDFLAGS :=.*/EXLDFLAGS :=$(LDFLAGS)/g' Makefile

%{make} %{MAKE_DEFS} user

%install
%{__rm} -rf %{buildroot}

%define MAKE_DEFS %{_MAKE_DEFS} DESTDIR=%{buildroot}

%{make} %{MAKE_DEFS} user_install
%{__mkdir_p} %{buildroot}%{_initrddir}
install -m 755 prog/init/lm_sensors.init %{buildroot}%{_initrddir}/lm_sensors
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/sensord
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/sensors
%ifnarch ppc %arm %mips
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isadump
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isaset
%endif

%{__cat} > README.pclos << EOF
* To use this package, you'll have to launch "sensors-detect" as root, and ask few questions.
  No need to modify startup files as shown at the end, all will be done.

* Special note for via686a and i2c-viapro : if you don t see the values, you probably have a PCI conflict.
  It will be corrected in next kernel. Change the /etc/sysconfig/lm_sensors to use i2c-isa + via686a
  (or i2c-viapro + another sensor)
EOF

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service lm_sensors

%preun
%_preun_service lm_sensors

%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS README doc README.pclos
%config(noreplace) %{_sysconfdir}/sensors3.conf
%{_initrddir}/lm_sensors
%{_bindir}/sensors
%{_bindir}/sensors-conf-convert
%ifnarch ppc %arm %mips
%{_sbindir}/isadump
%{_sbindir}/isaset
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/fancontrol
%{_sbindir}/pwmconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsensors.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a


%changelog
* Tue Dec 26 2017 bb2 <bb2> 3.4.5-2pclos2017
- update from git

* Fri Aug 14 2015 bb <bb> 3.4.0-1pclos2015
- update 

* Sun Jul 27 2014 TerryN <terryn94 at gmail.com> 3.3.5-2pclos2014
- Fix startup script to use correct syntax in lm_sensors file

* Sat Jan 25 2014 bb <bb> 3.3.5-1pclos2014
- 3.3.5

